# README

## How to play
### Windows (64 Bit only???)
You can either 
- (Recommended) download a PowerShell-script that automatically installs and/or updates Orderer from
http://koljastrohm-games.com/downloads/orderer_installer.zip
- or download the files for the current client from 
http://koljastrohm-games.com/downloads/orderer.zip
- clone this repository, install python (3.6 recommended) and follow the instructions below for python users.

### Any machine capable of running python 3
You can clone this repository and use python (3.6 recommended) to execute the client.
Make sure you set the `debug` flag in `debug.py` to `False`, otherwise you will not connect to the server.

If you know python and want to develop any cool features for you personal client, feel free to fork this repository and create a pull request.

## Compilation
### Server
The server is intended to be run within a python 3.6 environment on the host specified in `connection.py`.

On the server you can install the required packages using pip:
```
pip3 install bottle requests tabulate GitPython
```
and start the server using
```
python3 -O run_server.py
```

### Client
The client is intended to be compiled with
```
make compile
```
and requires `pyinstaller` which can be installed using pip.
If there is a UnicodeDecodeError you may try this fix: 
`https://stackoverflow.com/questions/47692960/error-when-using-pyinstaller-unicodedecodeerror-utf-8-codec-cant-decode-byt`